! $BI=Bj(B: $BI=LL$N6-3&>r7o$K4X$9$k%b%8%e!<%k(B
! $BMzNr(B: 2003/11/15


module Tbound
  use prm, only : IMAX, JMAX, KMAX
  use prmphys, only : s_a, Rel, grad_Ms
  use com_var, only : x 

  real(8), save   :: Ms(IMAX, JMAX)
  real(8), save   :: Ts(IMAX, JMAX)
contains

subroutine get_Ms_con

!  Ms = 0.3D0 /s_a
  Ms(:, 1) = 0.15D0 /s_a
  Ms(:, 2) = 0.3D0 /s_a

  ! get_Ms_cont $B$r8F$S=P$9EY$K0J2<$N%k!<%W$r@x$k$N$O%@%5%$(B
  ! $BJQ99$9$Y$7(B

  do i = 1, IMAX
     ! EISMINT $B$N<B83$G$O(B 0.5D0 $B$H$J$C$F$$$k$,<B:]$O(B 0.25D0
     Ms(i, 3) = MIN(0.25D0, grad_Ms*(Rel - abs(x(IMAX/2+1) - x(i))))/s_a
  end do
  !  Ms(:, 3) = 0.6D0 /s_a
!  write(6, *)'Ms = ', Ms(:, 3)

end subroutine get_Ms_con


subroutine get_Ts_con
  implicit none

  Ts = 200.0D0
  
end subroutine get_Ts_con

end module Tbound
